class CompareController < ApplicationController
  def index
    @compare_query = CompareQuery.new
    @benchmark_configurations = []
    @benchmark_info = nil
  end

  def filter
    @compare_query = CompareQuery.new(compare_query_params)
    @benchmark_configurations =  @compare_query.filtered_benchmark_configurations
    @benchmark_info = @compare_query.benchmark_info
    render "index"
  end

  private

  def compare_query_params
    params.require(:compare_query).permit!
  end
end
